import express from 'express';
import { reportSystem } from '../../../../features/admin/reports';

export async function GetAdminsOnline(req: express.Request, res: express.Response): Promise<void> {
    const list = reportSystem.getAdminList();

    if (!list.length || !list) {
        res.send({ list: `There are no admins online.` });
    } else {
        res.send({ list: `Admins Online: ${list}` });
    }
}
